PeopleForce
Employees

Deprecated

Company API v1 is deprecated and will be removed in a future release. Migrate to a newer version — v4 is the latest. Use the version switcher in the header.

List terminated employees

GET
/api/public/v1/employees/terminated

Query Parameters

terminated_on_max?string
terminated_on_min?string

Response Body

application/json

curl -X GET "https://example.com/api/public/v1/employees/terminated"
{  "data": [    {      "id": 0,      "active": true,      "access": true,      "employee_number": "string",      "full_name": "string",      "first_name": "string",      "middle_name": null,      "last_name": "string",      "email": "string",      "personal_email": null,      "mobile_number": null,      "work_phone_number": null,      "date_of_birth": "string",      "gender": null,      "gender_id": null,      "avatar_url": "string",      "probation_ends_on": null,      "hired_on": "string",      "slack_username": null,      "twitter_username": null,      "facebook_url": null,      "linkedin_url": null,      "termination_effective_on": "string",      "termination_comment": null,      "termination_eligible_for_rehire": null,      "termination_type_id": 0,      "termination_reason_id": 0,      "position": null,      "job_level": null,      "location": null,      "employment_type": null,      "division": null,      "department": null,      "reporting_to": null,      "job_profile": null,      "direct_reports": null,      "custom_fields": [        null      ],      "created_at": "string",      "updated_at": "string"    }  ],  "metadata": {    "pagination": {      "page": 0,      "pages": 0,      "count": 0,      "items": 0    }  }}